## kodi-inputstream-adaptive-dmo 19.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(inputstream.adaptive)
option(BUILD_TESTING "Build the testing tree." ON)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

set(ADP_SOURCES
	src/main.cpp
	src/common/AdaptiveTree.cpp
	src/parser/DASHTree.cpp
	src/parser/HLSTree.cpp
	src/parser/SmoothTree.cpp
	src/parser/TTML.cpp
	src/parser/WebVTT.cpp
	src/parser/PRProtectionParser.cpp
	src/common/AdaptiveStream.cpp
	src/helpers.cpp
	src/oscompat.cpp
	src/TSReader.cpp
	src/aes_decrypter.cpp
	src/ADTSReader.cpp
	src/md5.cpp
	src/WebmReader.cpp
	)

set(ADP_HEADERS
	src/helpers.h
	src/main.h
	src/oscompat.h
	src/SSD_dll.h
	src/common/AdaptiveDecrypter.h
	src/common/AdaptiveStream.h
	src/common/AdaptiveTree.h
	src/parser/DASHTree.h
	src/parser/HLSTree.h
	src/parser/SmoothTree.h
	src/parser/TTML.h
	src/parser/WebVTT.h
	src/parser/PRProtectionParser.h
	src/TSReader.h
	src/log.h
	src/aes_decrypter.h
	src/ADTSReader.h
	src/Iaes_decrypter.h
	src/md5.h
	src/WebmReader.h
	)

if(WIN32)
  find_package(dlfcn-win32 REQUIRED)
  list(APPEND DEPLIBS ${dlfcn-win32_LIBRARIES})
  include_directories(${dlfcn-win32_INCLUDE_DIRS})
endif()

include_directories(${INCLUDES}
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    lib/libbento4/Core
                    lib/libbento4/Crypto
                    lib/webm_parser/include
)

set(CMAKE_FIND_FRAMEWORK LAST)

include(FindEXPAT)
find_package(EXPAT REQUIRED)
include_directories(${EXPAT_INCLUDE_DIRS})
list(APPEND DEPLIBS ${EXPAT_LIBRARIES})

if(WIN32)
  add_definitions(-DXML_STATIC -D_CRT_NONSTDC_NO_DEPRECATE)
  list(APPEND DEPLIBS ws2_32)
else()
  add_definitions(-D__STDC_FORMAT_MACROS)
endif()

add_definitions(-DUNICODE -D_UNICODE)

add_subdirectory(lib/mpegts)

add_subdirectory(lib/webm_parser)

if(CORE_SYSTEM_NAME STREQUAL ios OR CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  set(BENTOUSESTCFS 1)
  add_subdirectory(lib/libbento4)
else()
  add_subdirectory(wvdecrypter)
  set(ADP_ADDITIONAL_BINARY $<TARGET_FILE:ssd_wv>)
endif()

set(DECRYPTERPATH "special://home/cdm")

list(APPEND DEPLIBS bento4)
list(APPEND DEPLIBS mpegts)
list(APPEND DEPLIBS webm_parser)

build_addon(inputstream.adaptive ADP DEPLIBS)

include(CPack)

if(NOT CMAKE_CROSSCOMPILING AND BUILD_TESTING)
  list(APPEND CMAKE_CTEST_ARGUMENTS "--output-on-failure")
  enable_testing()
  include(FindGtest)
  find_package(Gtest REQUIRED)
  include_directories(${GTEST_INCLUDE_DIRS})
  add_subdirectory(src/test)
endif()

=== lib/webm_parser/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(webm_parser)

include_directories ("${CMAKE_CURRENT_SOURCE_DIR}/." ${CMAKE_CURRENT_SOURCE_DIR}/include)

set(webm_parser_sources
    "include/webm/buffer_reader.h"
    "include/webm/callback.h"
    "include/webm/dom_types.h"
    "include/webm/element.h"
    "include/webm/file_reader.h"
    "include/webm/id.h"
    "include/webm/istream_reader.h"
    "include/webm/reader.h"
    "include/webm/status.h"
    "include/webm/webm_parser.h"
    "src/ancestory.cc"
    "src/ancestory.h"
    "src/audio_parser.h"
    "src/bit_utils.cc"
    "src/bit_utils.h"
    "src/block_additions_parser.h"
    "src/block_group_parser.h"
    "src/block_header_parser.cc"
    "src/block_header_parser.h"
    "src/block_more_parser.h"
    "src/block_parser.cc"
    "src/block_parser.h"
    "src/bool_parser.h"
    "src/buffer_reader.cc"
    "src/byte_parser.h"
    "src/callback.cc"
    "src/chapter_atom_parser.h"
    "src/chapter_display_parser.h"
    "src/chapters_parser.h"
    "src/cluster_parser.h"
    "src/colour_parser.h"
    "src/content_enc_aes_settings_parser.h"
    "src/content_encoding_parser.h"
    "src/content_encodings_parser.h"
    "src/content_encryption_parser.h"
    "src/cue_point_parser.h"
    "src/cue_track_positions_parser.h"
    "src/cues_parser.h"
    "src/date_parser.cc"
    "src/date_parser.h"
    "src/ebml_parser.h"
    "src/edition_entry_parser.h"
    "src/element_parser.h"
    "src/file_reader.cc"
    "src/float_parser.cc"
    "src/float_parser.h"
    "src/id_element_parser.cc"
    "src/id_element_parser.h"
    "src/id_parser.cc"
    "src/id_parser.h"
    "src/info_parser.h"
    "src/int_parser.h"
    "src/istream_reader.cc"
    "src/master_parser.cc"
    "src/master_parser.h"
    "src/master_value_parser.h"
    "src/mastering_metadata_parser.h"
    "src/parser.h"
    "src/parser_utils.cc"
    "src/parser_utils.h"
    "src/projection_parser.h"
    "src/recursive_parser.h"
    "src/seek_head_parser.h"
    "src/seek_parser.h"
    "src/segment_parser.cc"
    "src/segment_parser.h"
    "src/simple_tag_parser.h"
    "src/size_parser.cc"
    "src/size_parser.h"
    "src/skip_callback.h"
    "src/skip_parser.cc"
    "src/skip_parser.h"
    "src/slices_parser.h"
    "src/tag_parser.h"
    "src/tags_parser.h"
    "src/targets_parser.h"
    "src/time_slice_parser.h"
    "src/track_entry_parser.h"
    "src/tracks_parser.h"
    "src/unknown_parser.cc"
    "src/unknown_parser.h"
    "src/var_int_parser.cc"
    "src/var_int_parser.h"
    "src/video_parser.h"
    "src/virtual_block_parser.cc"
    "src/virtual_block_parser.h"
    "src/void_parser.cc"
    "src/void_parser.h"
    "src/webm_parser.cc")

add_library(webm_parser STATIC ${webm_parser_sources})
set_target_properties(webm_parser PROPERTIES POSITION_INDEPENDENT_CODE True)

=== debian/changelog ===
kodi-inputstream-adaptive-dmo (1:19.0.7-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Jun 2022 09:07:20 +0200

kodi-inputstream-adaptive-dmo (1:19.0.6-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jun 2022 14:53:39 +0200

kodi-inputstream-adaptive-dmo (1:19.0.5-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 May 2022 08:35:44 +0200

kodi-inputstream-adaptive-dmo (1:19.0.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Apr 2022 08:55:19 +0200

kodi-inputstream-adaptive-dmo (1:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Feb 2022 08:56:45 +0100

kodi-inputstream-adaptive-dmo (1:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jan 2022 14:19:01 +0100

kodi-inputstream-adaptive-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Dec 2021 15:12:32 +0100

kodi-inputstream-adaptive-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 17:56:53 +0200

kodi-inputstream-adaptive-dmo (1:2.6.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Aug 2021 15:40:28 +0200

kodi-inputstream-adaptive-dmo (1:2.6.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Jul 2021 23:32:27 +0200

kodi-inputstream-adaptive-dmo (1:2.6.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Jul 2021 19:28:13 +0200

kodi-inputstream-adaptive-dmo (1:2.6.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jul 2021 20:24:47 +0200

kodi-inputstream-adaptive-dmo (1:2.6.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jul 2021 15:32:20 +0200

kodi-inputstream-adaptive-dmo (1:2.6.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Jul 2021 14:15:22 +0200

kodi-inputstream-adaptive-dmo (1:2.6.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Jun 2021 14:43:26 +0200

kodi-inputstream-adaptive-dmo (1:2.6.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 May 2021 13:33:47 +0200

kodi-inputstream-adaptive-dmo (1:2.6.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 May 2021 13:25:35 +0200

kodi-inputstream-adaptive-dmo (1:2.6.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Apr 2021 18:00:07 +0200

kodi-inputstream-adaptive-dmo (1:2.6.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Apr 2021 00:53:37 +0200

kodi-inputstream-adaptive-dmo (1:2.6.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Apr 2021 15:28:35 +0200

kodi-inputstream-adaptive-dmo (1:2.6.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Mar 2021 07:04:38 +0100

kodi-inputstream-adaptive-dmo (1:2.6.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Feb 2021 00:15:47 +0100

kodi-inputstream-adaptive-dmo (2.4.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Oct 2020 08:52:03 +0200

kodi-inputstream-adaptive-dmo (2.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 May 2020 10:53:57 +0200

kodi-inputstream-adaptive-dmo (2.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Apr 2020 08:15:44 +0200

kodi-inputstream-adaptive-dmo (2.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Feb 2020 14:01:06 +0100

kodi-inputstream-adaptive-dmo (2.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Sep 2019 09:02:32 +0200

kodi-inputstream-adaptive-dmo (2.3.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 May 2019 14:56:15 +0200

kodi-inputstream-adaptive-dmo (2.3.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Apr 2019 08:17:23 +0200

kodi-inputstream-adaptive-dmo (2.3.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Mar 2019 07:58:57 +0100

kodi-inputstream-adaptive-dmo (2.3.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Feb 2019 08:39:44 +0100

kodi-inputstream-adaptive-dmo (2.3.13-dmo3) unstable; urgency=medium

  * Fix typo in 01_powerpc-support patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Feb 2019 17:06:51 +0100



=== debian/control ===
Source: kodi-inputstream-adaptive-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/peak3d/inputstream.adaptive
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 pkg-config, libexpat1-dev, ninja-build, libgtest-dev

Package: kodi-inputstream-adaptive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:INPUTSTREAMAPI}
Description: adaptive inputstream addon for Kodi.
 This package allows playing HLS/DASH/smoothstream streams in Kodi.
 .
 Its primary use is to play DRM-protected with decryptors supplied by other
 addons (like Netflix or other paid video services).

=== debian/watch ===
version=4

https://github.com/peak3d/inputstream.adaptive/tags \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-inputstream-adaptive-dmo 20.3.18

=== Documents/MkDocs/requirements.txt ===
# This requirements file is for python3
mkdocs == 1.1
mkdocs-material == 7.1.5
mkdocs-material-extensions == 1.0
pymdown-extensions == 7.0

=== lib/webm_parser/CMakeLists.txt ===
--- 
+++ 
@@ -96,3 +96,9 @@
 
 add_library(webm_parser STATIC ${webm_parser_sources})
 set_target_properties(webm_parser PROPERTIES POSITION_INDEPENDENT_CODE True)
+
+# Fix C++17 Win UWP build error on src/master_parser.h line 156 and 160 with C4996.
+# NOTE: Check sometimes libwebm becomes update byself in future to fix about!
+if(CORE_SYSTEM_NAME MATCHES windows)
+  target_compile_definitions(webm_parser PRIVATE -D_SILENCE_CXX17_ADAPTOR_TYPEDEFS_DEPRECATION_WARNING)
+endif()

=== depends/common/googletest/CMakeLists.txt ===
# Note: CMake support is community-based. The maintainers do not use CMake
# internally.

cmake_minimum_required(VERSION 3.5)

if (POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif (POLICY CMP0048)

if (POLICY CMP0069)
  cmake_policy(SET CMP0069 NEW)
endif (POLICY CMP0069)

if (POLICY CMP0077)
  cmake_policy(SET CMP0077 NEW)
endif (POLICY CMP0077)

project(googletest-distribution)
set(GOOGLETEST_VERSION 1.13.0)

# Workaround for missing debug postfix
# may be fixed on future versions
# https://github.com/google/googletest/issues/3843
set(CMAKE_DEBUG_POSTFIX "d")

if (CMAKE_VERSION VERSION_LESS "3.1")
  add_definitions(-std=c++14)
else()
  set(CMAKE_CXX_STANDARD 14)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  if(NOT CYGWIN)
    set(CMAKE_CXX_EXTENSIONS OFF)
  endif()
endif()

enable_testing()

include(CMakeDependentOption)
include(GNUInstallDirs)

#Note that googlemock target already builds googletest
option(BUILD_GMOCK "Builds the googlemock subproject" ON)
option(INSTALL_GTEST "Enable installation of googletest. (Projects embedding googletest may want to turn this OFF.)" ON)

if(BUILD_GMOCK)
  add_subdirectory( googlemock )
else()
  add_subdirectory( googletest )
endif()

=== debian/changelog ===
kodi-inputstream-adaptive-dmo (1:20.3.18-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Feb 2024 14:33:21 +0100

kodi-inputstream-adaptive-dmo (1:20.3.17-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 15:40:55 +0100

kodi-inputstream-adaptive-dmo (1:20.3.16-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Jan 2024 15:28:45 +0100

kodi-inputstream-adaptive-dmo (1:20.3.15-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Dec 2023 09:48:08 +0100

kodi-inputstream-adaptive-dmo (1:20.3.14-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Nov 2023 15:24:00 +0100

kodi-inputstream-adaptive-dmo (1:20.3.13-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Sep 2023 07:53:51 +0200

kodi-inputstream-adaptive-dmo (1:20.3.12-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Aug 2023 07:59:09 +0200

kodi-inputstream-adaptive-dmo (1:20.3.11-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jul 2023 08:47:23 +0200

kodi-inputstream-adaptive-dmo (1:20.3.9-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 May 2023 14:58:36 +0200

kodi-inputstream-adaptive-dmo (1:20.3.8-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 May 2023 07:43:18 +0200

kodi-inputstream-adaptive-dmo (1:20.3.7-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 May 2023 08:11:21 +0200

kodi-inputstream-adaptive-dmo (1:20.3.6-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Apr 2023 08:44:47 +0200

kodi-inputstream-adaptive-dmo (1:20.3.5-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Mar 2023 08:17:45 +0100

kodi-inputstream-adaptive-dmo (1:20.3.4-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Feb 2023 08:45:26 +0100

kodi-inputstream-adaptive-dmo (1:20.3.3-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Feb 2023 01:32:49 +0100

kodi-inputstream-adaptive-dmo (1:20.3.2-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 18:11:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/peak3d/inputstream.adaptive
+Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
- pkg-config, libexpat1-dev, ninja-build, libgtest-dev
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+ pkg-config, libexpat1-dev, ninja-build, libgtest-dev, libwebm-dev, quilt
 
 Package: kodi-inputstream-adaptive
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

BENTO4_COMPONENT = Bento4-1.6.0-639-7
BENTO4_URL = ../kodi-inputstream-adaptive-dmo_20.3.18.orig-bento4-1-6-0-639-7.tar.gz

ifeq "$(DEB_HOST_ARCH)" "armel"
	EXTRA-OPTIONS=-DBUILD_TESTING=OFF
endif

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_INTERNAL_BENTO4=1 \
	-DBENTO4_URL=${BENTO4_URL} \
	$(EXTRA-OPTIONS)

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:
ifeq "$(EXTRA-OPTIONS)" "ON"
	dh_auto_test
endif

=== debian/watch ===
version=4

https://github.com/peak3d/inputstream.adaptive/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-inputstream-adaptive-dmo 21.5.16

=== debian/changelog ===
kodi-inputstream-adaptive-dmo (1:21.5.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Sep 2025 08:45:23 +0200

kodi-inputstream-adaptive-dmo (1:21.5.15-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with GCC 15

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Sep 2025 15:33:16 +0200

kodi-inputstream-adaptive-dmo (1:21.5.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Jul 2025 10:03:26 +0200

kodi-inputstream-adaptive-dmo (1:21.5.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 May 2025 11:29:59 +0200

kodi-inputstream-adaptive-dmo (1:21.5.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 May 2025 10:22:28 +0200

kodi-inputstream-adaptive-dmo (1:21.5.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2025 14:49:28 +0200

kodi-inputstream-adaptive-dmo (1:21.5.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Apr 2025 09:45:13 +0200

kodi-inputstream-adaptive-dmo (1:21.5.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Apr 2025 23:50:26 +0200

kodi-inputstream-adaptive-dmo (1:21.5.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 01:51:27 +0100

kodi-inputstream-adaptive-dmo (1:21.5.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Nov 2024 11:10:12 +0100

kodi-inputstream-adaptive-dmo (1:21.5.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 10:43:12 +0100

kodi-inputstream-adaptive-dmo (1:21.5.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Oct 2024 11:48:21 +0200

kodi-inputstream-adaptive-dmo (1:21.5.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2024 18:06:25 +0200

kodi-inputstream-adaptive-dmo (1:21.5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Aug 2024 17:53:30 +0200

kodi-inputstream-adaptive-dmo (1:21.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Aug 2024 14:11:40 +0200

kodi-inputstream-adaptive-dmo (1:21.5.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Update included Bento4 to 1-6-0-641-3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2024 11:16:11 +0200

kodi-inputstream-adaptive-dmo (1:21.5.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Update included Bento4 to 1-6-0-641-2

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Jul 2024 18:02:28 +0200

kodi-inputstream-adaptive-dmo (1:21.4.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jun 2024 12:40:35 +0200

kodi-inputstream-adaptive-dmo (1:21.4.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 May 2024 08:36:45 +0200

kodi-inputstream-adaptive-dmo (1:21.4.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 May 2024 11:29:32 +0200

kodi-inputstream-adaptive-dmo (1:21.4.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 May 2024 18:30:18 +0200

kodi-inputstream-adaptive-dmo (1:21.4.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 May 2024 14:47:04 +0200

kodi-inputstream-adaptive-dmo (1:21.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Apr 2024 10:47:43 +0200

kodi-inputstream-adaptive-dmo (1:21.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 21:42:54 +0200

kodi-inputstream-adaptive-dmo (1:20.3.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Feb 2024 14:17:51 +0100

kodi-inputstream-adaptive-dmo (1:20.3.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 13:05:10 +0100

kodi-inputstream-adaptive-dmo (1:20.3.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Jan 2024 13:34:14 +0100

kodi-inputstream-adaptive-dmo (1:20.3.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Dec 2023 13:07:17 +0100

kodi-inputstream-adaptive-dmo (1:20.3.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Nov 2023 08:35:45 +0100

kodi-inputstream-adaptive-dmo (1:20.3.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Sep 2023 21:08:19 +0200

kodi-inputstream-adaptive-dmo (1:20.3.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Aug 2023 23:05:03 +0200

kodi-inputstream-adaptive-dmo (1:20.3.11-dmo1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/peak3d/inputstream.adaptive
-Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
- pkg-config, libexpat1-dev, ninja-build, libgtest-dev, libwebm-dev, quilt
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
+ pkgconf, libexpat1-dev, ninja-build, libgtest-dev, libwebm-dev, libpugixml-dev,
+ rapidjson-dev, quilt
 
 Package: kodi-inputstream-adaptive
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Upstream version
# cat depends/common/bento4/bento4.txt

BENTO4_COMPONENT = Bento4-1.6.0-641-3
BENTO4_URL = ../kodi-inputstream-adaptive-dmo_21.5.16.orig-bento4-1-6-0-641-3.tar.gz

ifeq ($(origin CC),default)
	CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC

ifeq ($(origin CXX),default)
	CXX := $(DEB_HOST_GNU_TYPE)-g++
endif
export CXX

ifeq "$(DEB_HOST_ARCH)" "powerpc"
	EXTRA-OPTIONS=-DBUILD_TESTING=OFF
endif

ifeq "$(DEB_HOST_ARCH)" "armel"
	EXTRA-OPTIONS=-DBUILD_TESTING=OFF
endif

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_INTERNAL_BENTO4=1 \
	-DBENTO4_URL=${BENTO4_URL} \
	-Wno-dev \
	$(EXTRA-OPTIONS)

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:
ifeq "$(EXTRA-OPTIONS)" "ON"
	dh_auto_test
endif

## kodi-inputstream-adaptive-dmo 21.5.17

=== Build/Targets/any-gnu-gcc/Makefile ===
include ../../Makefiles/Bootstrap.mak

=== debian/changelog ===
kodi-inputstream-adaptive-dmo (1:21.5.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Nov 2025 19:35:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # cat depends/common/bento4/bento4.txt
 
 BENTO4_COMPONENT = Bento4-1.6.0-641-3
-BENTO4_URL = ../kodi-inputstream-adaptive-dmo_21.5.16.orig-bento4-1-6-0-641-3.tar.gz
+BENTO4_URL = ../kodi-inputstream-adaptive-dmo_21.5.17.orig-bento4-1-6-0-641-3.tar.gz
 
 ifeq ($(origin CC),default)
 	CC := $(DEB_HOST_GNU_TYPE)-gcc

## kodi-inputstream-adaptive-dmo 21.5.18

=== debian/changelog ===
kodi-inputstream-adaptive-dmo (1:21.5.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Dec 2025 00:50:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # cat depends/common/bento4/bento4.txt
 
 BENTO4_COMPONENT = Bento4-1.6.0-641-3
-BENTO4_URL = ../kodi-inputstream-adaptive-dmo_21.5.17.orig-bento4-1-6-0-641-3.tar.gz
+BENTO4_URL = ../kodi-inputstream-adaptive-dmo_21.5.18.orig-bento4-1-6-0-641-3.tar.gz
 
 ifeq ($(origin CC),default)
 	CC := $(DEB_HOST_GNU_TYPE)-gcc
